<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.2) on Thu Mar 19 16:19:53 CET 2020 -->
<title>EleveDAO</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-03-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EleveDAO";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/EleveDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.crea.dev2.poo.dao</a></div>
<h2 title="Class EleveDAO" class="title">Class EleveDAO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.crea.dev2.poo.dao.EleveDAO</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">EleveDAO</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">EleveDAO</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addEleve(java.lang.String,java.lang.String,int,java.lang.String)">addEleve</a></span>&#8203;(java.lang.String&nbsp;num,
        java.lang.String&nbsp;nom,
        int&nbsp;age,
        java.lang.String&nbsp;adresse)</code></th>
<td class="colLast">
<div class="block">Ajouter un élève</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteEleveByNum(java.lang.String)">deleteEleveByNum</a></span>&#8203;(java.lang.String&nbsp;num)</code></th>
<td class="colLast">
<div class="block">Delete Eleve par un numéro</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAllEleve()">getAllEleve</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEleveByNo(int)">getEleveByNo</a></span>&#8203;(int&nbsp;no)</code></th>
<td class="colLast">
<div class="block">Selection d'1 ou +sieurs Eleve par son numéro de chambre</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEleveByNom(java.lang.String)">getEleveByNom</a></span>&#8203;(java.lang.String&nbsp;listsnoms)</code></th>
<td class="colLast">
<div class="block">Selection d'Eleve(s) par le nom</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEleveByNum(java.lang.String)">getEleveByNum</a></span>&#8203;(java.lang.String&nbsp;num)</code></th>
<td class="colLast">
<div class="block">Liste un élève en particulier d'après son identifiant passé en paramètre de la fonction.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListEleveByDateN(int)">getListEleveByDateN</a></span>&#8203;(int&nbsp;anneeNaissance)</code></th>
<td class="colLast">
<div class="block">Renvoie une liste d'élèves en fonction de l'age.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updAdresseEleveByNum(java.lang.String,java.lang.String)">updAdresseEleveByNum</a></span>&#8203;(java.lang.String&nbsp;num,
                    java.lang.String&nbsp;adresse)</code></th>
<td class="colLast">
<div class="block">Met à jour de l'adresse d'un élève par son numéro</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updNoChambreEleveByNum(java.lang.String,int)">updNoChambreEleveByNum</a></span>&#8203;(java.lang.String&nbsp;num,
                      int&nbsp;no)</code></th>
<td class="colLast">
<div class="block">Met à jour(Attribuer une chambre à 1 élève) le n° de chambre à un élève</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EleveDAO</h4>
<pre>public&nbsp;EleveDAO()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getEleveByNum(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEleveByNum</h4>
<pre class="methodSignature">public static&nbsp;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&nbsp;getEleveByNum&#8203;(java.lang.String&nbsp;num)
                           throws java.sql.SQLException</pre>
<div class="block">Liste un élève en particulier d'après son identifiant passé en paramètre de la fonction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>num</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>: retourne l'objet ElevTemp</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a id="getEleveByNom(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEleveByNom</h4>
<pre class="methodSignature">public static&nbsp;java.util.ArrayList&lt;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;&nbsp;getEleveByNom&#8203;(java.lang.String&nbsp;listsnoms)
                                                throws java.sql.SQLException</pre>
<div class="block">Selection d'Eleve(s) par le nom</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listsnoms</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>:un liste d'eleve</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a id="getEleveByNo(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEleveByNo</h4>
<pre class="methodSignature">public static&nbsp;java.util.ArrayList&lt;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;&nbsp;getEleveByNo&#8203;(int&nbsp;no)
                                               throws java.sql.SQLException</pre>
<div class="block">Selection d'1 ou +sieurs Eleve par son numéro de chambre</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>no</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>:un objet eleve</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a id="deleteEleveByNum(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteEleveByNum</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;deleteEleveByNum&#8203;(java.lang.String&nbsp;num)</pre>
<div class="block">Delete Eleve par un numéro</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>num</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>: 1 ou 0  (le nbr d'étudiants supprimés) sinon le (-) code d'erreur</dd>
</dl>
</li>
</ul>
<a id="updAdresseEleveByNum(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updAdresseEleveByNum</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;updAdresseEleveByNum&#8203;(java.lang.String&nbsp;num,
                                       java.lang.String&nbsp;adresse)
                                throws java.sql.SQLException</pre>
<div class="block">Met à jour de l'adresse d'un élève par son numéro</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>num</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>: 1 ou 0  (le nbr d'étudiants mis à jour) sinon le (-) code d'erreur</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a id="updNoChambreEleveByNum(java.lang.String,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updNoChambreEleveByNum</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;updNoChambreEleveByNum&#8203;(java.lang.String&nbsp;num,
                                         int&nbsp;no)</pre>
<div class="block">Met à jour(Attribuer une chambre à 1 élève) le n° de chambre à un élève</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>num</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>: 1 ou 0  (le nbr d'étudiants mis à jour) sinon le (-) code d'erreur</dd>
</dl>
</li>
</ul>
<a id="addEleve(java.lang.String,java.lang.String,int,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addEleve</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;addEleve&#8203;(java.lang.String&nbsp;num,
                           java.lang.String&nbsp;nom,
                           int&nbsp;age,
                           java.lang.String&nbsp;adresse)</pre>
<div class="block">Ajouter un élève</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>String</code> - num, String nom, int age, String adresse</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>: 1 ou 0  (le nbr d'étudiants ajouté) sinon le (-) code d'erreur</dd>
</dl>
</li>
</ul>
<a id="getListEleveByDateN(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListEleveByDateN</h4>
<pre class="methodSignature">public static&nbsp;java.util.ArrayList&lt;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;&nbsp;getListEleveByDateN&#8203;(int&nbsp;anneeNaissance)
                                                      throws java.sql.SQLException</pre>
<div class="block">Renvoie une liste d'élèves en fonction de l'age.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>anneeNaissance</code> - : Date de naissance de(s) l'élève(s)(l'année)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>: 1 liste d'élève ayant le même age.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
<a id="getAllEleve()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAllEleve</h4>
<pre class="methodSignature">public static&nbsp;java.util.ArrayList&lt;<a href="../beans/Eleve.html" title="class in com.crea.dev2.poo.beans">Eleve</a>&gt;&nbsp;getAllEleve()
                                              throws java.sql.SQLException</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aucun</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>: la liste de tous les élèves .</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.sql.SQLException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/EleveDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
